summaryrefslogtreecommitdiffstats
path: root/jjb/vpp/include-raw-vpp-lite-build.sh
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-07-08 09:58:09 -0500
committerEd Warnicke <hagbard@gmail.com>2016-07-08 15:06:08 +0000
commitb6062aa3c6d666ad7100f313acb1d5c18f5be7c2 (patch)
tree1321e9596080b7baef8ed9461cd1f5eb4be32646 /jjb/vpp/include-raw-vpp-lite-build.sh
parent17e0045042493bb4fe4adcc1513ee825e3eafec1 (diff)
Added vpp-lite verify and merge jobs.
* Added a vpp-lite.yaml Change-Id: I9aa16968dac9067a92bc272f1cfa4315c0eec4ad Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'jjb/vpp/include-raw-vpp-lite-build.sh')
-rw-r--r--jjb/vpp/include-raw-vpp-lite-build.sh61
1 files changed, 61 insertions, 0 deletions
diff --git a/jjb/vpp/include-raw-vpp-lite-build.sh b/jjb/vpp/include-raw-vpp-lite-build.sh
new file mode 100644
index 000000000..eca0761c9
--- /dev/null
+++ b/jjb/vpp/include-raw-vpp-lite-build.sh
@@ -0,0 +1,61 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+# do nothing but print the current slave hostname
+hostname
+export CCACHE_DIR=/tmp/ccache
+if [ -d $CCACHE_DIR ];then
+ echo $CCACHE_DIR exists
+ du -sk $CCACHE_DIR
+else
+ echo $CCACHE_DIR does not exist. This must be a new slave.
+fi
+
+echo "cat /etc/bootstrap.sha"
+if [ -f /etc/bootstrap.sha ];then
+ cat /etc/bootstrap.sha
+else
+ echo "Cannot find cat /etc/bootstrap.sha"
+fi
+
+echo "cat /etc/bootstrap-functions.sha"
+if [ -f /etc/bootstrap-functions.sha ];then
+ cat /etc/bootstrap-functions.sha
+else
+ echo "Cannot find cat /etc/bootstrap-functions.sha"
+fi
+
+echo "sha1sum of this script: ${0}"
+sha1sum $0
+
+# Check to make sure the patch doesn't need to be rebased
+# Since there was a discontinuity, patches with a
+# parent before 30d41ff need to be rebased
+
+(git log --oneline | grep 30d41ff > /dev/null 2>&1);if [ $? != 0 ]; then REBASE_NEEDED="1";fi
+(git log --oneline | grep fb0815d > /dev/null 2>&1);if [ $? == 0 ]; then VPP_REPO="1";fi
+echo "REBASE_NEEDED: ${REBASE_NEEDED}"
+echo "VPP_REPO: ${VPP_REPO}"
+
+if [ "x${VPP_REPO}" == "x1" ]; then
+ if [ "x${REBASE_NEEDED}" == "x1" ]; then
+ echo "This patch to vpp is based on an old point in the tree that is likely"
+ echo "to fail verify."
+ echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
+ exit 1
+ fi
+fi
+
+# Make sure we are starting on java-7. This catches bugs in the
+# vpp build system that can occur on Ubuntu 14.04 when a user may
+# have both java-7 and java-8 installed.
+if [ ${OS} == ubuntu1404 ];then
+ sudo update-java-alternatives -s /usr/lib/jvm/java-1.7.0-openjdk-amd64
+fi
+
+make UNATTENDED=yes install-dep
+make PLATFORM=vpp_lite build-release
+
+echo "*******************************************************************"
+echo "* VPP BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"